Name: knock
Version: 0.8
Release: alt1

Summary: knock is a port-knocking client
License: GPL
Group: Networking/Remote access

Url: https://github.com/jvinet/knock
Source0: %name-%version.tar
Source1: knockd.sysconfig
Source2: knockd.init
Source3: knockd.service
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu Feb 17 2005
BuildRequires: gcc-c++ libpcap-devel

%description
Knock is a port-knocking server/client.  Port-knocking is a method where a
server can sniff one of its interfaces for a special "knock" sequence of
port-hits.  When detected, it will run a specified event bound to that port
knock sequence.  These port-hits need not be on open ports, since we use
libpcap to sniff the raw interface traffic. This package contains the
knock client.

%package server
Group: Networking/Remote access
Summary: knockd is a port-knocking server

%description server
Knock is a port-knocking server/client.  Port-knocking is a method where a
server can sniff one of its interfaces for a special "knock" sequence of
port-hits.  When detected, it will run a specified event bound to that port
knock sequence.  These port-hits need not be on open ports, since we use
libpcap to sniff the raw interface traffic. This package contains the
knockd server.

%prep
%setup
%patch -p1

%build
autoreconf -fisv
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/knockd
install -pD -m755 %SOURCE2 %buildroot%_initdir/knockd
install -pD -m600 knockd.conf %buildroot%_sysconfdir/knockd.conf
install -pD -m 0644 -p %SOURCE3 %buildroot%_unitdir/knockd.service

%post server
%post_service knockd

%preun server
%preun_service knockd

%postun server
if [ "$1" -ge "1" ]; then
	/sbin/service knockd condrestart >/dev/null 2>&1 || :
fi

%files
%_bindir/%name
%_man1dir/knock.1*

%files server
%doc README.md ChangeLog TODO
%attr(0755,root,root) %_sbindir/knockd
%attr(0600,root,root) %config(noreplace) %_sysconfdir/knockd.conf
%attr(0644,root,root) %config(noreplace) %_sysconfdir/sysconfig/knockd
%attr(0755,root,root) %config %_initdir/knockd
%_unitdir/knockd.service
%_sbindir/knockd
%_sbindir/knock_add
%_man1dir/knockd.1*

%changelog
* Fri Dec 10 2021 Anton Farygin <rider@altlinux.ru> 0.8-alt1
- 0.7.8 -> 0.8

* Wed Feb 03 2016 Anton Farygin <rider@altlinux.ru> 0.7.8-alt1
- new version, build from upstream git

* Wed Apr 17 2013 Dmitry V. Levin (QA) <qa_ldv@altlinux.org> 0.5-alt6.qa1
- NMU: rebuilt for debuginfo.

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 0.5-alt6
- added condstop to initscript (per repocop advice)

* Tue Nov 25 2008 Michael Shigorin <mike@altlinux.org> 0.5-alt5
- fixed build with gcc 4.3 against glibc 2.8+

* Wed Nov 05 2008 Michael Shigorin <mike@altlinux.org> 0.5-alt5
- DID NOT fix build
- updated Url:

* Sun Jan 28 2007 Michael Shigorin <mike@altlinux.org> 0.5-alt4
- updated Url:
- added Packager:

* Sun Dec 10 2006 Michael Shigorin <mike@altlinux.org> 0.5-alt3
- updated Url:
- spec macro abuse cleanup

* Thu Sep 29 2005 Michael Shigorin <mike@altlinux.org> 0.5-alt2
- removed duplicated manpage from packages (thanks raorn@)

* Tue Jul 12 2005 Michael Shigorin <mike@altlinux.org> 0.5-alt1
- 0.5
- rebuilt for Sisyphus
- spec cleanup/optimization

* Thu Feb 17 2005 Alexey Beleckiy <sinister@altlinux.ru> 0.4-alt1
- Initial build

